# build runtime image
FROM alpine:3.17.3
RUN apk update \
    && apk add \
       apache2 \
       apache2-proxy \
       openjdk8-jre-base 
RUN mkdir /opt/tomcat \
    && wget https://dlcdn.apache.org/tomcat/tomcat-9/v9.0.75/bin/apache-tomcat-9.0.75.tar.gz \
    && tar xvzf apache-tomcat-9.0.75.tar.gz --strip-components 1 --directory /opt/tomcat
RUN  sed -i 's/TLSv1, TLSv1.1,//g' /usr/lib/jvm/java-1.8-openjdk/jre/lib/security/java.security
COPY re3gistry/dist  /opt/re3gistry
COPY start.sh /opt/re3gistry/
COPY httpd-vhosts.conf /etc/apache2/conf.d/
COPY httpd.conf /etc/apache2/
COPY public_html /var/www/localhost/htdocs/ 
WORKDIR /opt/re3gistry
RUN chmod +x start.sh     
ENTRYPOINT [ "/opt/re3gistry/start.sh"  ]
